Get Planned Route Identifier by ID

Get the details of a planned route identifier using its id or external_id.

📘

This endpoint uses query params

Instead of sending a payload, include the id or external_id in the endpoint URL. For example:

https://developer-api.bringg.com/services/<service-id>/<secret-1>/<secret-2>/?id=12345https://developer-api.bringg.com/services/<service-id>/<secret-1>/<secret-2>/?external_id=v123
Response (Output) Params
ParameterDescription
*success**
boolean
Indicates whether the service completed successfully.
  • false* - the service failed.
  • true* - the service succeeded
*message**
string
If an error occurred, a message indicating the error is included.
*rc**
integer
If an error occurred, the return code is included.
*created_at**
datetime
The timestamp when the user was created. This is in UTC and the format is "%Y-%m-%dT%H:%M:%S%z".
*external_id**
string
Your system's ID for this planned route identifier.
*external_team_id**
string
Your system's ID for the team to which this planned route identifier is assigned.
*id**
integer
The Bringg ID for this planned route identifier.
*priority**
integer
Indicates the hierarchy among your route identifiers. The route identifier with the highest priority receives the route scheduled to leave first.
*team_id**
integer
Bringg's ID for the team to which this planned route identifier is assigned.
*title**
string
The title of the planned route identifier as it appears in the Bringg UI (for example, in the Route Name column).
*updated_at**
datetime
The last date and time this team was updated. This is in UTC and the format is "%Y-%m-%dT%H:%M:%S%z".
Query Params
string

Your external system's ID for the planned route.

int32

Bringg's ID for the planned route.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json